import os
from setuptools import setup, find_packages

os.chdir(os.path.normpath(os.path.join(os.path.abspath(__file__), os.pardir)))
VERSION = '0.0.23'

setup(
    name='e2transmission',
    version=VERSION,
    packages=find_packages(),
    data_files = [
         ('/etc/e2transmission.conf', 'conf.json' )
    ],
    include_package_data=True,
    license='MTI License',
    description='add torrents from email to transmission',
    long_description='service chek new email for torrents, and send to transmission daemon',
    url='https://github.com/harlov/e2transmission',
    download_url = 'https://github.com/harlov/e2transmission/archive/v'+VERSION+'.tar.gz',
    author='Nikita Harlov',
    author_email='nikita@harlov.com',
    classifiers=[
        'Environment :: Console',
        'Intended Audience :: End Users/Desktop',
        'License :: OSI Approved :: MIT License',
        'Operating System :: OS Independent',
        'Programming Language :: Python',
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.2',
        'Programming Language :: Python :: 3.3',
        'Programming Language :: Python :: 3.4',
        'Topic :: Communications :: Email'
    ],

    #для удобства использования , забиндим вызов сервиса на комманду hmakecoffee-cli
    entry_points={'console_scripts': [
        'e2transmission-cli = e2transmission.__main__:main',
        ],
    },
)
